AUDIOCTL(1)

NAME
audioctl - control audio device

SYNOPSIS
audioctl [-an] [-f file]
audioctl [-n] [-f file] name ...
audioctl [-n] [-f file] name=value ...

DESCRIPTION
The audioctl command displays or sets various audio system driver variables. If a list of variables is present on the command line, audioctl prints the current value of those variables for the specified device. By default, audioctl operates on the /dev/audioctl device.

The options are as follows:

-a  Print all device variables and their current values. This is the default, if no parameters are given to audioctl.

-f file
    Specify an alternative audio control device.

-n  Suppress printing of the variable name.

name=value
    Attempt to set the specified variable name to value.

ENVIRONMENT

AUDIOCTLDEVICE
    Audio control device to use.

FILES

/dev/audioctl
    default audio control device

EXAMPLES
To set the playing sampling rate to 11025 you can enter:

    $ audioctl play.rate=11025

Note that many of the variables that can be inspected and changed are reset when the /dev/audio device is opened. This can be circumvented like so:

    $ (cat file.au; audioctl -f /dev/audioctl) /dev/audio
or
    $ (audioctl -f /dev/audioctl play.block_size=1024; cat file.au) \
    	 /dev/audio

SEE ALSO
aucat(1), cdio(1), mixerctl(1), audio(4), sysctl(8)

HISTORY
The audioctl command first appeared in NetBSD 1.3.